QB_ATOMIC_INT_SET(3)

NAME
qb_atomic_int_set - Sets the value of the integer pointed to by atomic.

SYNOPSIS
#include <qb/qbatomic.h>

void qb_atomic_int_set(
    volatile int32_t QB_GNUC_MAY_ALIAS   *atomic,  /* a pointer to an integer */
    int32_t                               newval   /* the new value */
);

PARAMS
atomic a pointer to an integer

newval the new value

DESCRIPTION

Also acts as a memory barrier.

SEE ALSO

qb_atomic_int_compare_and_exchange(3), qb_atomic_int_get(3), qb_atomic_int_add(3), qb_atomic_init(3), qb_atomic_pointer_get(3), qb_atomic_int_exchange_and_add(3), qb_atomic_pointer_compare_and_exchange(3), qb_atomic_pointer_set(3)

COPYRIGHT

Copyright (C) 2003 Sebastian Wilhelmi